diff --git a/src/backend/postmaster/postmaster.c b/src/backend/postmaster/postmaster.c
index 383bc4776e..6cbb69767c 100644
--- a/src/backend/postmaster/postmaster.c
+++ b/src/backend/postmaster/postmaster.c
@@ -4187,7 +4187,9 @@ BackendStartup(Port *port)
 	if (pid == 0)				/* child */
 	{
 		free(bn);
-
+		printf("fork child process\n");
+		printf("	am_walsender: %d\n", am_walsender);
+		printf("	am_db_walsender: %d\n", am_db_walsender);
 		/* Detangle from postmaster */
 		InitPostmasterChild();
 
@@ -4451,7 +4453,7 @@ BackendInitialize(Port *port)
 	if (am_walsender)
 		appendStringInfo(&ps_data, "%s ", GetBackendTypeDesc(B_WAL_SENDER));
 	appendStringInfo(&ps_data, "%s ", port->user_name);
-	if (!am_walsender)
+	if (!am_walsender || am_db_walsender)
 		appendStringInfo(&ps_data, "%s ", port->database_name);
 	appendStringInfoString(&ps_data, port->remote_host);
 	if (port->remote_port[0] != '\0')
